none
Found conflicts between different versions of the same dependent assembly.

    Question

  • I am getting a build warning on my web service project in VS2010.  "Found conflicts between different versions of the same dependent assembly". Posting here because my web service project is the only one that does not build correctly after upgrading to .NET 4.0.  The error makes no sense to me because the conflicting assembly "DocImageWebService.dll" is the assembly that is being built.  This assembly being built is referenced by a 2nd project in the solution. ( I use that project to test the web service. )  I unloaded that project from the solution and did a rebuild. Same error.

    ------ Rebuild All started: Project: DocImageWebService, Configuration: Debug Any CPU ------

    C:\Windows\Microsoft.NET\Framework\v4.0.30319\Microsoft.Common.targets(1360,9): warning MSB3247: Found conflicts between different versions of the same dependent assembly.

    DocImageWebService -> C:\DocImage\DocImageWebService\DocImageWebService\bin\DocImageWebService.dll

    ========== Rebuild All: 1 succeeded, 0 failed, 0 skipped ==========

    Wednesday, April 28, 2010 1:54 PM

Answers